
QGIS Application - Bug report #10594

Crashes when removing layers in master

2014-06-15 07:28 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Win 64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18999

Description

I'm getting a sporadic crash when removing raster layers from a project in current master. I've attached two minidumps from the crash.

Associated revisions

Revision 86860cec - 2014-06-18 03:30 PM - Martin Dobias

Fix #10594 (crashes when removing layers)

History

#1 - 2014-06-15 07:36 PM - Nyall Dawson

- File qgis-20140616-121708-4248-1580-5eddb74.rar added

- File qgis-20140616-122203-3028-4440-5eddb74.rar added

#2 - 2014-06-15 07:42 PM - Nyall Dawson

- File qgis-20140616-124059-4648-3352-5eddb74.rar added

- Subject changed from Crashes when removing raster in master to Crashes when removing layers in master

Actually... not just rasters. Here's a dump from a crash after removing a vector layer.

#3 - 2014-06-17 04:00 AM - Alessandro Ciali

I'm experiencing the same sporadic crash while removing layers.

#4 - 2014-06-18 12:41 AM - Martin Dobias

Could you please check if it happens also with 32-bit version?

Also, would it be possible for you to run QGIS in debugger and post a call stack? I do not have experience with the minidump files and a quick look with

WinDbg does not give me any clue due to missing symbols.

#5 - 2014-06-18 01:05 AM - Mathieu Pellerin - nIRV

I've ran into this crash twice this morning, but can't find a way to come up with steps to replicate all the time. Removing a memory layer caused the crash

over here.
The crash occurred on a osgeo4w 32-bit build.

#6 - 2014-06-18 02:07 AM - Mathieu Pellerin - nIRV

- File test.qgs added

Ok found a way to replicate the crash.

Steps to reproduce (make sure you have the Memory Layer Saver plugin enabled as the attached project relies on it):

1. Open the attached project (test.qgs)

2. Once the project is open, click on the 'Save [Project]' button on QGIS' main toolbar

3. Then, click on the second layer, right click on it, and select the 'Remove' menu item

4. boom crash

#7 - 2014-06-18 02:24 AM - Mathieu Pellerin - nIRV

The steps above successfully lead to a crash on both my windows osgeo4w build and my linux self-compiled build.

#8 - 2014-06-18 06:11 AM - Alessandro Ciali

I have the same crash without memory layer plugin active

..

The crash occurs when removing any type of layer after a while I have loaded a .qgs file.  Win7 64bit

#9 - 2014-06-18 06:11 AM - Alessandro Ciali

I have the same crash without memory layer plugin active

..

The crash occurs when removing any type of layer after a while I have loaded a .qgs file.  Win7 64bit

#10 - 2014-06-18 06:32 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"86860cecaff2d98162782f407f306fc274cb6750".

Files

qgis-20140616-121708-4248-1580-5eddb74.rar 3.1 MB 2014-06-15 Nyall Dawson

qgis-20140616-122203-3028-4440-5eddb74.rar 3.14 MB 2014-06-15 Nyall Dawson

qgis-20140616-124059-4648-3352-5eddb74.rar 3.03 MB 2014-06-15 Nyall Dawson

test.qgs 79 KB 2014-06-18 Mathieu Pellerin - nIRV
